// Code from suggestion by Kieth Rowe at Microsoft, which SHOULD play
// an AVI file. 

DWORD playAVIFile(HWND hWndNotify, LPSTR lpszAVIFileName) {
    DWORD dwReturn;
    MCI_OPEN_PARMS mciOpenParms;
    MCI_PLAY_PARMS mciPlayParms;

    // Open the device by specifying the device name and device element.
    // MCI will choose a device capable of playing the given file.

    mciOpenParms.lpstrDeviceType = "AVIVideo";
    mciOpenParms.lpstrElementName = lpszAVIFileName;
    if (dwReturn = mciSendCommand(0, MCI_OPEN,
                                  MCI_OPEN_TYPE | MCI_OPEN_ELEMENT,
                                  (DWORD)(LPVOID) &mciOpenParms)) {
        // Failed to open device; don't close it, just return error
        return (dwReturn);
    }

    // Device opened successfully, get the device ID
    UINT wDeviceID = mciOpenParms.wDeviceID;

    // Begin playback. The window procedure function for the parent window
    // will be notified with an MM_MCINOTIFY message when playback is
    // complete. At this time, the window procedure closes the device.

    mciPlayParms.dwCallback = (DWORD) hWndNotify;
    if (dwReturn = mciSendCommand(wDeviceID, MCI_PLAY, MCI_NOTIFY,
                                  (DWORD)(LPVOID) &mciPlayParms)) {
        mciSendCommand(wDeviceID, MCI_CLOSE, 0, NULL);
        return (dwReturn);
    }
    return (0L);
}


